using System;

internal sealed class Delegate748 : MulticastDelegate
{
	public extern string Invoke(ref double double_0);

	public static string smethod_0(ref double double_0, Delegate748 delegate748_1)
	{
		return delegate748_1(ref double_0);
	}

	public extern Delegate748(object object_0, IntPtr intptr_0);

	static Delegate748()
	{
		Class10.smethod_13(typeof(Delegate748).TypeHandle);
	}

	internal static Delegate748 delegate748_0;
}
